package com.sunxung.factoring.entity.acceptance;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 验收单-单价调整审核表
 * </p>
 *
 * @author yafan
 * @since 2023-12-25
 */
@TableName("acceptance_price_adjust_approval_info")
public class AcceptancePriceAdjustApprovalInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 验收单单价调整表id
     */
    @TableField("c_acceptance_price_adjust_info_id")
    private Long cAcceptancePriceAdjustInfoId;

    /**
     * 审批意见
     */
    @TableField("approval_comment")
    private String approvalComment;

    /**
     * 审批结论
     */
    @TableField("approval_conclusion")
    @NotNull(message = "审批结论不能为空！")
    private String approvalConclusion;

    /**
     * 审核人Id
     */
    @TableField("auditor_id")
    private Long auditorId;

    @TableField(exist = false)
    private Long businessKey;

    public Long getcAcceptancePriceAdjustInfoId() {
        return cAcceptancePriceAdjustInfoId;
    }

    public void setcAcceptancePriceAdjustInfoId(Long cAcceptancePriceAdjustInfoId) {
        this.cAcceptancePriceAdjustInfoId = cAcceptancePriceAdjustInfoId;
    }

    public String getApprovalComment() {
        return approvalComment;
    }

    public void setApprovalComment(String approvalComment) {
        this.approvalComment = approvalComment;
    }

    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }

    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    @Override
    public String toString() {
        return "AcceptancePriceAdjustApprovalInfo{" +
                ", cAcceptancePriceAdjustInfoId=" + cAcceptancePriceAdjustInfoId +
                ", approvalComment=" + approvalComment +
                ", approvalConclusion=" + approvalConclusion +
                ", auditorId=" + auditorId +
                "}";
    }
}
